'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _DiagramProps = require('./DiagramProps');

var _DiagramProps2 = _interopRequireDefault(_DiagramProps);

var _KendoDiagramConnection = require('../KendoDiagramConnection');

var _KendoDiagramConnection2 = _interopRequireDefault(_KendoDiagramConnection);

var _KendoDiagramShape = require('../KendoDiagramShape');

var _KendoDiagramShape2 = _interopRequireDefault(_KendoDiagramShape);

var _ConnectionDefaults = require('./ConnectionDefaults');

var _ConnectionDefaults2 = _interopRequireDefault(_ConnectionDefaults);

var _Editable = require('./Editable');

var _Editable2 = _interopRequireDefault(_Editable);

var _Layout = require('./Layout');

var _Layout2 = _interopRequireDefault(_Layout);

var _Pannable = require('./Pannable');

var _Pannable2 = _interopRequireDefault(_Pannable);

var _Pdf = require('./Pdf');

var _Pdf2 = _interopRequireDefault(_Pdf);

var _Selectable = require('./Selectable');

var _Selectable2 = _interopRequireDefault(_Selectable);

var _ShapeDefaults = require('./ShapeDefaults');

var _ShapeDefaults2 = _interopRequireDefault(_ShapeDefaults);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _DiagramProps2.default,
    emits: {
        'kendowidgetready': null
    },
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _kendoBaseComponentsVueWrapper.KendoBaseDatasourceComponent, _ConnectionDefaults2.default, _Editable2.default, _Layout2.default, _Pannable2.default, _Pdf2.default, _Selectable2.default, _ShapeDefaults2.default],
    mounted: function mounted() {
        this._resolveChildren();
        this.setInnerDataSource('connectionsDataSourceRef', 'connectionsDataSource');
        kendo.jQuery(this.$el).kendoDiagram(this.widgetOptions);

        if (this.v3) {
            this.ready();
            this.$emit('kendowidgetready', this.kendoWidget());
        } else {
            this.$emit('kendowidgetready', this.kendoWidget());
        }
    },

    methods: {
        kendoWidget: function kendoWidget() {
            return kendo.jQuery(this.$el).getKendoDiagram();
        },
        _resolveChildren: function _resolveChildren() {
            this.resolveChildren('connections', _KendoDiagramConnection2.default.name);
            this.resolveChildren('shapes', _KendoDiagramShape2.default.name);
        }
    }
};